package com.srs.quartz.task;

import com.srs.dormitory.service.IDmsDeptGradeService;
import com.srs.dormitory.service.IDmsManageApplicationService;
import com.srs.dormitory.service.IDmsNeedCardStuService;
import com.srs.dormitory.service.IDmsStuDailyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("dmsTask")
public class DmsTask {
    @Autowired
    private IDmsDeptGradeService dmsDeptGradeService;

    @Autowired
    public IDmsManageApplicationService _dmaService;

    @Autowired
    public IDmsStuDailyService _stuDailyService;

    @Autowired
    public IDmsNeedCardStuService needCardStuService;


    public void setNeedCard(){
        needCardStuService.autoSetDailyCheckTask();
    }


    /**
     * 执行部门和年级的关联操作
     */
    public void departmentBoundGrades() {
        dmsDeptGradeService.departmentBoundGrades();
    }

    public void unbind() {
        dmsDeptGradeService.unbind();
    }


    public void changeTask(){ _dmaService.changeTask(); }

    //未打卡学生发送信息
    public void sendUnCardMail(){
        _stuDailyService.sendTask();
    }

}
